Subject: Re: first draft of jurassaic UNIX license

From: Dion <[email-masked]>
Date: Fri, 19 Sep 97 15:18:48 PDT

more comments interpolated below.

   From sco.sco.com!henry.cs.adfa.oz.au!wkt Wed Sep 17 16:41:40 1997
   From: Warren Toomey <[email-masked]>
   Subject: Re: first draft of jurassaic UNIX license
   To: Dion <[email-masked]>
   Date: Thu, 18 Sep 1997 09:32:17 +1000 (EST)
   Cc: Steven Schultz <[email-masked]>, 
       Warren Toomey <[email-masked]>
   
   In article by Dion:
   > OK, here is a first draft.  I have not studied this in detail.
   > I think it has some problems, but could you please take a look
   > and tell me what you think?  thx  Feel free to send it to some
   > of your colleagues, but please do not distribute widely or
   > post.
   > 
   > Dion L. Johnson II  - The Santa Cruz Operation, Inc.           [email-masked]
   > Czar of Free Stuff and Technical customers' advocate.
   
   I like your signature :-)

   Yes, there are a number of things I dislike about the first legal draft.
   Essentially, they boil down to:
   
   	Single Country Limitation,
fixed
   	Single CPU Limitation,
fixed
   	List of UNIX Versions
fixed (this is the trickiest one, I suspect)

   Single Country Limitation
   -------------------------
   
   Ok, this seems very unfair. I have to buy another license if I move to
   another country. Also, I can only pass on SOURCE CODE PRODUCTS to other
   LICENSEES in the same country.

Agreed.  I am proposing a change to "all countries except... "
   
   Specific comments:
   
   5. Export: How am I going to distribute src/binaries to other LICENSEES
           if this restriction is in place? Do I have to get consent for each
           individual export event?
See above comment.
    
   5.2 Does this section apply to non-US citizens living in non-US countries?
           If so, how can I obtain Supplement No.  1 to Section 370
           of the Export Administration Regulations issued by the U.S.
           Department of Commerce.

I think we desire that it should so apply.  I dont really understand
how contracts are supposed to work internationally.  This document is
probably available from the US govt printing office.  I will ask
the legal folks to provide a pointer.
   
   Single CPU Limitation
   ---------------------
   
   This is _extremely_ unfair. In fact I can't believe that this is in the
   draft license. I'll show you why this is a futile clause, later. But first,
   how is SCO going to deal with emulated PDP-11s, which do not have a
   DESIGNATED CPU?

Right. I am defining "DESIGNATED CPU GROUP"
   
   List of UNIX Versions
   ---------------------
   
   SCO also owns the copyright to PWB UNIX and Mini UNIX. Please can they
   be covered? 32V is missing as well, it's a pity that the license does not
   cover 32V.
   
   What is SCO's stand going to be on the derived Unix flavours which they don't
   strictly own, such as AUSAM, 2BSD etc??

Well, it does say  "including SUCCESSOR OPERATING SYSTEMS".  I think 
they want to avoid enumerating some of these flavors to which we may
not own full rights.  I will try to fix up the definition of 
successors to include everything up to but not including system III
or so.
   
   Miscellaneous
   -------------
   
   Can we make backups of the software? Which clause permits us to do this?

This license seems to incorporate a lot of stuff in the word "use". 
You are allowed to USE the the source code.  Reasonably, this
means to make backup copies, to compile (i.e., make modifications),
etc.  Certainly you would be allowed to transmit the product between
the machines in the CPU GROUP, and to other licensees.  I think
for our purposes, the word "use" is desirably vague and better 
than spelling out "copy, modify, transmit, ... etc."
   
   Single CPU Futility
   -------------------
   
   For at least 5th, 6th and 7th Edition, the single CPU restriction is futile,
   given SCO's existing binary license for these versions:
   
   	1 DEFINITIONS
   
   	LICENSED SOFTWARE shall mean solely the object code of the following
   	versions of SCO's UNIX operating system software: Versions V5, V6, and
   	V7 adapted for PDP-11 computer systems.
   
   	SCO INTELLECTUAL PROPERTY RIGHTS shall mean patent, copyright and trade
   	secret rights of The Santa Cruz Operation, Inc. ("SCO") in the LICENSED
   	SOFTWARE.
   
   	2 LICENSE GRANT
   
   	SCO grants to CUSTOMER a worldwide, non-exclusive, royalty-free license
   	under SCO INTELLECTUAL PROPERTY RIGHTS to reproduce, modify, and use the
   	LICENSED SOFTWARE solely for non-commercial uses, and to distribute the
   	LICENSED SOFTWARE to a third party who is also bound by the terms and
   	conditions of this License Agreement. 
   
   This existing binary license has NO CPU restriction.

Agreed.  I think CPU GROUP fixes this.
-Dion
Dion L. Johnson II  - The Santa Cruz Operation, Inc.              [email-masked]
Czar of Free Stuff and Technical customers' advocate.
400 Encinal St.  Santa Cruz, CA 95061    FAX: 408-427-5417  Voice: 408-427-7565
   
   Dion, this is my first quick review of the draft. I'll sit down and have
   a more detailed perusal and send you any further comments. I have passed
   the draft on to Steven Schultz only, so far, and he should return his
   comments to you as well.
   
   Thanks again,
   
   	Warren